%define majver %(echo %version | cut -d. -f1-2)

Name:          pim-data-exporter
Version:       20.08.3
Release:       1mamba
Summary:       KDE Frameworks 5 PIM data exporter
Group:         Graphical Desktop/Applications/Internet
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.kde.org
Source:        https://download.kde.org/stable/release-service/%{version}/src/pim-data-exporter-%{version}.tar.xz
# Source:        http://download.kde.org/stable/frameworks/%{majver}/...-%{version}.tar.xz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: ldconfig
BuildRequires: libakonadi-contacts-devel
BuildRequires: libakonadi-devel
BuildRequires: libakonadi-mime-devel
BuildRequires: libakonadi-notes-devel
BuildRequires: libassuan-devel
BuildRequires: libgcc
BuildRequires: libgpg-error-devel
BuildRequires: libgpgme-devel
BuildRequires: libkarchive-devel
BuildRequires: libkauth-devel
BuildRequires: libkbookmarks-devel
BuildRequires: libkcalendarcore-devel
BuildRequires: libkcodecs-devel
BuildRequires: libkcompletion-devel
BuildRequires: libkconfig-devel
BuildRequires: libkconfigwidgets-devel
BuildRequires: libkcontacts-devel
BuildRequires: libkcoreaddons-devel
BuildRequires: libkcrash-devel
BuildRequires: libkdbusaddons-devel
BuildRequires: libkdepim-devel
BuildRequires: libki18n-devel
BuildRequires: libkidentitymanagement-devel
BuildRequires: libkimap-devel
BuildRequires: libkio-devel
BuildRequires: libkitemmodels-devel
BuildRequires: libkitemviews-devel
BuildRequires: libkjobwidgets-devel
BuildRequires: libkleo-devel
BuildRequires: libkmailtransport-devel
BuildRequires: libkmime-devel
BuildRequires: libknotifications-devel
BuildRequires: libkpimtextedit-devel
BuildRequires: libkservice-devel
BuildRequires: libkwallet-devel
BuildRequires: libkwidgetsaddons-devel
BuildRequires: libkwindowsystem-devel
BuildRequires: libkxmlgui-devel
BuildRequires: libmailcommon-devel
BuildRequires: libpimcommon-devel
BuildRequires: libqt5-devel
BuildRequires: libsolid-devel
BuildRequires: libstdc++6-devel
BuildRequires: messagelib-devel
## AUTOBUILDREQ-END
BuildRequires: cmake
BuildRequires: rpm-macros-kde5
BuildRequires: extra-cmake-modules
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
KDE Frameworks 5 PIM data exporter.

%package -n lib%{name}
Group:         System/Libraries
Summary:       Shared libraries for %{name}

%description -n lib%{name}
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q

%build
%cmake_kde5 -d build
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%find_lang %{name}5_qt --with-qt --with-man --with-html --all-name || touch %{name}5_qt.lang

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n lib%{name}
/sbin/ldconfig
exit 0

%postun -n lib%{name}
/sbin/ldconfig
exit 0

%files -f %{name}5_qt.lang
%defattr(-,root,root)
%{_bindir}/pimdataexporter
%{_bindir}/pimdataexporterconsole
%{_datadir}/applications/org.kde.pimdataexporter.desktop
%{_datadir}/config.kcfg/pimdataexporterglobalconfig.kcfg
%{_datadir}/kconf_update/pimsettingexporter-15.08-kickoff.sh
%{_datadir}/kconf_update/pimsettingexporter.upd
%{_datadir}/metainfo/org.kde.pimdataexporter.appdata.xml
%{_datadir}/qlogging-categories5/pimdataexporter.categories
%{_datadir}/qlogging-categories5/pimdataexporter.renamecategories
%doc COPYING COPYING.DOC

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libpimdataexporterprivate.so.*
%doc COPYING.LIB

%changelog
* Sat Nov 07 2020 Automatic Build System <autodist@mambasoft.it> 20.08.3-1mamba
- automatic version update by autodist

* Sun Oct 11 2020 Automatic Build System <autodist@mambasoft.it> 20.08.2-1mamba
- automatic version update by autodist

* Fri Sep 04 2020 Automatic Build System <autodist@mambasoft.it> 20.08.1-1mamba
- automatic version update by autodist

* Sat Aug 22 2020 Automatic Build System <autodist@mambasoft.it> 20.08.0-1mamba
- automatic version update by autodist

* Sun Jul 12 2020 Automatic Build System <autodist@mambasoft.it> 20.04.3-1mamba
- automatic version update by autodist

* Sat Jun 13 2020 Automatic Build System <autodist@mambasoft.it> 20.04.2-1mamba
- automatic version update by autodist

* Sat May 16 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 20.04.1-1mamba
- update to 20.04.1

* Thu Apr 30 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 20.04.0-1mamba
- package created using the webbuild interface
